/**
 * 初始化ajax
 */
function creat_Object() { 
var xmlhttp; 
if (!xmlhttp && typeof XMLHttpRequest != 'undefined') { 
try { 
xmlhttp = new XMLHttpRequest(); 
} 
catch (e) { 
alert("Your browser is not supporting XMLHTTPRequest");
 xmlhttp = false; 
} 
} 
else { 
xmlhttp = new ActiveXObject("Microsoft.XMLHTTP"); 
} 
return xmlhttp; 
} 
var ajax = creat_Object(); 


var oneScroll,
    logomsOffset,
	pullDownEl, pullDownOffset,
	pullUpEl, pullUpOffset,
	twoScroll,
	TwologomsOffset,
	TwoDownEl, TwoDownOffset,
	footerScroll,
	footerDownEl, footerDownOffset
	

	
/**
 * 非中文判断
 */
function is_zw(str){
	exp=/^[A-Za-z0-9]*$/;
	if(exp.test(str))
	{
		return false;
	}
	return true;
}


	
	
/**
 * 登陆判断
 */
//function cookiesLogin(txt){if(txt=="登陆失效"){scscms_alert('该账户已在别处登陆','ok',function(){self.location='Login.asp'});}}
function cookiesLogin(txt){if(txt=="登陆失效"){checkWatchLinkDIV();return;}}



/**
 * 无样式切换
 */
function nonsKeys(nam){
var menu = document.getElementById(nam+"nn");
if(menu.style.display=="block"){
menu.style.display="none";	
}else{
menu.style.display="block";
}
}

/**
 * 有样式切换
 */
function nsKeys(co,n,nam){

for(i=1;i<=n;i++){
	
var menu = document.getElementById(nam+"nn"+i);
menu.style.display=i==co?"block":"none";

var bann = document.getElementById(nam+"cc"+i);
bann.className=i==co?"bangdingx_hover":"bangdingx";

}

}


/**
 * 分享层关闭与显示
 */
function checkShareLinkDIV(){
var sharetxtON = document.formUrl.sharetxtON.value;	

	
if(sharetxtON==0){
document.getElementById("sharetxt").style.display="block";
document.formUrl.sharetxtON.value=1;
}else{
document.getElementById("sharetxt").style.display="none";
document.formUrl.sharetxtON.value=0;	
}


}

/**
 * 推客分享层关闭与显示
 */
function checkShareLinkDIVtk(){
var sharetxtON = document.formUrl.sharetxtON.value;
var utitle = document.thisutitle.utitle.value;
var flag = is_weixin();
if (utitle!="0"){
if(flag){
if(sharetxtON==0){
document.getElementById("sharetxt").style.display="block";
document.formUrl.sharetxtON.value=1;
}else{
document.getElementById("sharetxt").style.display="none";
document.formUrl.sharetxtON.value=0;	
}
}else{
if(sharetxtON==0){
document.getElementById("nowxsharetxt").style.display="block";
document.formUrl.sharetxtON.value=1;
}else{
document.getElementById("nowxsharetxt").style.display="none";
document.formUrl.sharetxtON.value=0;	
}
}
}else{
scscms_alert('请填写店铺名称','ok',function(){oneChickUrl('Push.edit.asp',1)});

}
}


/**
 * 关注层关闭与显示
 */
function checkWatchLinkDIV(){
var watchtxtON = document.formUrl.watchtxtON.value;	
if(watchtxtON==0){
document.getElementById("watchtel").style.display="block";
document.formUrl.watchtxtON.value=1;
}else{
document.getElementById("watchtel").style.display="none";
document.formUrl.watchtxtON.value=0;	
}
}

	

/**
 * 关闭其他浮动层
 */
document.onclick = function (event) {  
    var e = event || window.event;  
    var elem = e.srcElement || e.target;  
  
    while (elem) {  
        if (elem != document) {  
            if (elem.id == "headerListButton") {  
				//document.getElementById("headerList").style.display = "block"; 
				Let('#headerList')
				  .set('opacity', 0)
				  .set({'display': 'block'})
				  .then() 
				  .duration(300) 
				  .set('opacity', 1)
				.pop()
				.end() 
                return;  
            } 
			if (elem.id == "titlebutton") {  
				//document.getElementById("titleadd").style.display = "block";
				Let('#titleadd')
				  .set('opacity', 0)
				  .set({'display': 'block'})
				  .then() 
				  .duration(300) 
				  .set('opacity', 1)
				.pop()
				.end()
                return;  
            } 
            elem = elem.parentNode;  
        } else {  
			
			Let('#headerList')
			  .set('opacity', 1)
			  .then() 
			  .duration(300) 
			  .set('opacity', 0)    
			  .set({'display': 'none'})
			.pop()
			.end()
			
			Let('#titleadd')
			  .set('opacity', 1)
			  .then() 
			  .duration(300) 
			  .set('opacity', 0)    
			  .set({'display': 'none'})
			.pop()
			.end()

            return;  
        }  
    }  
}








	
	
	
	
	
	
/*菜单伸缩按钮*/
function footmenuON(id,url,t) {
var wh = document.body.clientWidth-45;
var on2 = document.formUrl.twoON.value;
var on3 = document.formUrl.threeON.value;
var on4 = document.formUrl.fourON.value;
var on5 = document.formUrl.fiveON.value;
var on6 = document.formUrl.sixON.value;

//document.getElementById('footbb'+id).style.background = 'url(Images/footertitle_2.png)';
//document.getElementById('wrapper').style.width = wh+'px';
//document.getElementById('main').style.width = wh+'px';
//document.getElementById('scroller').style.width = wh+'px';
//document.getElementById('OneTitle').style.width = wh+'px';
//document.getElementById('OneTitlex').style.width = wh+'px';


//Let('#footbb'+id)
//    .set('opacity', 1)
//    .then()
//    .set({
//			'background':'url(Images/footertitle_2.png)'
// 		})
//    .pop()
//    .end()	
//	
//Let('#wrapper')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
//	
//Let('#main')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
//
//Let('#scroller')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
//	
//Let('#OneTitle')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()


if(id==9){
SixON(url,t);	
}else{

if(on2==1){TwoON();}
if(on3==1){ThreeON();}
if(on4==1){FourON();}
if(on5==1){FiveON();}
if(on6==1){SixON();}

oneChickUrl(url,t);
clearTimeout(mGetTime);
}


}





//第二层开关
function TwoON(url,t){
var on = document.formUrl.twoON.value;
var wh = document.body.clientWidth-45;

document.getElementById('Twomain').style.width = wh+'px';
document.getElementById('TwoContent').style.width = wh+'px';
document.getElementById('TwoTitle').style.width = wh+'px';
document.getElementById('TwoTitlex').style.width = wh+'px';

//Let('#TwoContent')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
//Let('#TwoTitle')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
									
if(on==0){
	
document.getElementById('Twomain').style.display = "block";

//Let('#Twomain')
//    .set({'width': wh})
//	.to(wh, 0)
//	.set({
//			'display': 'block'
// 		})
//    .then() //中间动作,上面是开始动作 下面是结束动作
//    .duration(300) //持续时间
//    .to(-wh, 0)
//    .pop()
//    .end()
document.formUrl.twoON.value=1;
twoChickUrl(url,t);
}else{

document.getElementById('Twomain').style.display = "none";

//WeixinApi.ready(function(Api) {
//  var wxData = {
//      "appId": '', // 服务号可以填写appId
//      "imgUrl" : document.formUrl.ShareWximgUrl.value,
//      "link" : document.formUrl.ShareWxlink.value,
//      "desc" : document.formUrl.ShareWxdesc.value,
//      "title" : document.formUrl.ShareWxtitle.value
//  };
//  var wxCallbacks = {
//      fail : function(resp) {
//      scscms_alert("分享失败:" + resp.err_msg,"",2);
//      }
//  };
//  Api.shareToFriend(wxData, wxCallbacks);
//  Api.shareToTimeline(wxData, wxCallbacks);
//  Api.shareToWeibo(wxData, wxCallbacks);
//  Api.generalShare(wxData,wxCallbacks);
//  });
//Let('#Twomain')
//	.to(wh, 0)
//    .then() //中间动作,上面是开始动作 下面是结束动作
//    .duration(300) //持续时间
//	.set({
//			'display': 'none'
// 		})
//    .pop()
//    .end()
document.formUrl.twoON.value=0;
}	
}





//第三层开关
function ThreeON(url,t){
var on = document.formUrl.threeON.value;
var wh = document.body.clientWidth-45;

document.getElementById('Threemain').style.width = wh+'px';
document.getElementById('ThreeContent').style.width = wh+'px';
document.getElementById('ThreeTitle').style.width = wh+'px';
document.getElementById('ThreeTitlex').style.width = wh+'px';

//Let('#ThreeContent')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
//Let('#ThreeTitle')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
							
if(on==0){

document.getElementById('Threemain').style.display = "block";

//Let('#Threemain')  
//	.set({'width': wh})
//	.to(wh, 0)
//	.set({
//			'display': 'block'
// 		})
//    .then() //中间动作,上面是开始动作 下面是结束动作
//    .duration(300) //持续时间
//    .to(-wh, 0)
//    .pop()
//    .end()
document.formUrl.threeON.value=1;
threeChickUrl(url,t);
}else{

document.getElementById('Threemain').style.display = "none";

//Let('#Threemain')
//	.to(wh, 0)
//    .then() //中间动作,上面是开始动作 下面是结束动作
//    .duration(300) //持续时间
//	.set({
//			'display': 'none'
// 		})
//    .pop()
//    .end()
document.formUrl.threeON.value=0;
}	
}








//第四层开关
function FourON(url,t){
var on = document.formUrl.fourON.value;
var wh = document.body.clientWidth-45;

document.getElementById('Fourmain').style.width = wh+'px';
document.getElementById('FourContent').style.width = wh+'px';
document.getElementById('FourTitle').style.width = wh+'px';
document.getElementById('FourTitlex').style.width = wh+'px';

//Let('#FourContent')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
//Let('#FourTitle')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
								
if(on==0){

document.getElementById('Fourmain').style.display = "block";

//Let('#Fourmain')  
//    .set({'width': wh})
//	.to(wh, 0)
//	.set({
//			'display': 'block'
// 		})
//    .then() //中间动作,上面是开始动作 下面是结束动作
//    .duration(300) //持续时间
//    .to(-wh, 0)
//    .pop()
//    .end()
document.formUrl.fourON.value=1;
fourChickUrl(url,t);
}else{

document.getElementById('Fourmain').style.display = "none";

//Let('#Fourmain')
//	.to(wh, 0)
//    .then() //中间动作,上面是开始动作 下面是结束动作
//    .duration(300) //持续时间
//	.set({
//			'display': 'none'
// 		})
//    .pop()
//    .end()
document.formUrl.fourON.value=0;
}	
}












//第五层开关
function FiveON(url,t){
var on = document.formUrl.fiveON.value;
var wh = document.body.clientWidth-45;

document.getElementById('Fivemain').style.width = wh+'px';
document.getElementById('FiveContent').style.width = wh+'px';
document.getElementById('FiveTitle').style.width = wh+'px';
document.getElementById('FiveTitlex').style.width = wh+'px';

//Let('#FiveContent')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
//Let('#FiveTitle')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
								
if(on==0){

document.getElementById('Fivemain').style.display = "block";
	
//Let('#Fivemain')  
//	.set({'width': wh})
//	.to(wh, 0)
//	.set({
//			'display': 'block'
// 		})
//    .then() //中间动作,上面是开始动作 下面是结束动作
//    .duration(300) //持续时间
//    .to(-wh, 0)
//    .pop()
//    .end()
document.formUrl.fiveON.value=1;
fiveChickUrl(url,t);
}else{

document.getElementById('Fivemain').style.display = "none";

//Let('#Fivemain')
//	.to(wh, 0)
//    .then() //中间动作,上面是开始动作 下面是结束动作
//    .duration(300) //持续时间
//	.set({
//			'display': 'none'
// 		})
//    .pop()
//    .end()
document.formUrl.fiveON.value=0;
}	
}









//第六层开关
function SixON(url,t){
var on = document.formUrl.sixON.value;
var wh = document.body.clientWidth-45;

document.getElementById('Sixmain').style.width = wh+'px';
document.getElementById('SixContent').style.width = wh+'px';
document.getElementById('SixTitle').style.width = wh+'px';
document.getElementById('SixTitlex').style.width = wh+'px';

//Let('#SixContent')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
//Let('#SixTitle')
//	.set({'width': wh})
//	.then()
//	.set('opacity', 1)
//    .pop()
//    .end()
								
if(on==0){

document.getElementById('Sixmain').style.display = "block";

//Let('#Sixmain')  
//	.set({'width': wh})
//	.to(wh, 0)
//	.set({
//			'display': 'block'
// 		})
//    .then() //中间动作,上面是开始动作 下面是结束动作
//    .duration(300) //持续时间
//    .to(-wh, 0)
//    .pop()
//    .end()
document.formUrl.sixON.value=1;
sixChickUrl(url,t);
}else{

document.getElementById('Sixmain').style.display = "none";

//Let('#Sixmain')
//	.to(wh, 0)
//    .then() //中间动作,上面是开始动作 下面是结束动作
//    .duration(300) //持续时间
//	.set({
//			'display': 'none'
// 		})
//    .pop()
//    .end()
document.formUrl.sixON.value=0;
}	
}





//管理员推送系统通知
function sendSysAdmin(){
var uid = document.messaddform.uid.value;
var	openid = document.messaddform.openid.value;
var uids = document.messaddform.uids.value;
var key1 = document.messaddform.key1.value;
var key2 = document.messaddform.key2.value;
var key3 = document.messaddform.key3.value;
var key4 = document.messaddform.key4.value;

if(openid==""){
scscms_alert("获取用户身份失败","","",1);
return false;
}
if(uids==""){
scscms_alert("获取管理员身份失败","","",1);
return false;
}
if(key1==""){
scscms_alert("请填写开头语","","",1);
return false;
}
if(key2==""){
scscms_alert("请填写发件人","","",1);
return false;
}
if(key3==""){
scscms_alert("请填写内容","","",1);
return false;
}
if(key4==""){
scscms_alert("请填写结束语","","",1);
return false;
}

var postStr = "openid="+openid+"&uid="+uid+"&uids="+uids+"&key1="+key1+"&key2="+key2+"&key3="+key3+"&key4="+key4;
var url = "Sys.Admin.ok.asp";	

ajax.open("POST", url, true);
ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
ajax.send(postStr);
ajax.onreadystatechange = function(){
  if(ajax.readyState == 4 && ajax.status == 200){
	vs = ajax.responseText;
	if(vs!="ok"){
	scscms_alert(vs,"","",1);
	}else{
	scscms_alert("发送成功","ok",function(){oneChickUrl("Sys.Admin.asp?UID="+uid+"&AdminUID="+uids,2);});
	}
  }
 }
}


//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
















